petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCFactorSetPivotInBlocks

Determines if pivoting is done while factoring each block with BAIJ or SBAIJ matrices

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorSetPivotInBlocks(PC pc,PetscBool pivot)

Logically Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| pivot | - PETSC_TRUE or PETSC_FALSE Many br

### Options Database Key

-pc_factor_pivot_in_blocks <true,false> - Many br Many br

### See Also

PCILUSetMatOrdering(), PCFactorSetColumnPivot()

Level:intermediate
Location:src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages